# Introduction

The files in this zip file belong to the paper:

Felix Casel, Amelie Heindl, Roman Klinger:
"Emotion Recognition under Consideration of the Emotion Component Process Model"
KONVENS 2021
Preprint: https://arxiv.org/abs/2107.12895

Please cite this paper as:

```
@inproceedings{Casel2021,
  author = {Felix Casel and Amelie Heindl and Roman Klinger},
  title = {Emotion Recognition under Consideration of the
                  Emotion Component Process Model},
  booktitle = {Proceedings of the 17th Conference on Natural
                  Language Processing (KONVENS 2021)},
  year = 2021,
  address = {D\"usseldorf, Germany},
  publisher = {German Society for Computational Linguistics \&
                  Language Technology},
  pdf = {https://www.romanklinger.de/publications/CaselHeindlKlinger2021.pdf},
  url = {http://arxiv.org/abs/2107.12895}
}
```


# Content

This folder contains the following files:
* `reman_corpus_fully_annotated.csv`: the partially re-annotated REMAN corpus
* `tec_corpus_fully_annotated.csv`: the partially re-annotated TEC corpus
* `annotation_guidelines.pdf`: the annotation guidelines

The following files are redundant, but document train/test splits:

* `reman_corpus_fully_annotated_test.csv`: the test set of the annotated REMAN corpus
* `reman_corpus_fully_annotated_train.csv`: the train set of the annotated REMAN corpus
* `tec_corpus_fully_annotated_test.csv`: the test set of the annotated TEC corpus
* `tec_corpus_fully_annotated_train.csv`: the train set of the annotated TEC corpus

The data structure of both corpus files is explained in their first lines. The ID-, Text- and Emotion-columns are taken from the original corpora. The Cognitive-, Neurophysiological-, Motivational-, Motor Expression-, and Subjective Feeling-columns contain our annotations. The Appraisal-column in the tec_corpus_*-files denotes the number of appraisal categories predicted by the Hofman-appraisal-classifier.

# Sources

The original sources for the data are as follows. 

The Twitter Emotion Corpus TEC can be found at http://saifmohammad.com/WebPages/SentimentEmotionLabeledData.html. The paper PDF can be found at https://www.aclweb.org/anthology/S12-1033/. Please cite

```
@inproceedings{mohammad-2012-emotional,
    title = "{\#}Emotional Tweets",
    author = "Mohammad, Saif",
    booktitle = "*{SEM} 2012: The First Joint Conference on Lexical and Computational Semantics {--} Volume 1: Proceedings of the main conference and the shared task, and Volume 2: Proceedings of the Sixth International Workshop on Semantic Evaluation ({S}em{E}val 2012)",
    year = "2012",
    address = "Montr{\'e}al, Canada",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/S12-1033",
    pages = "246--255",
}
```

The REMAN corpus can be found at http://www.ims.uni-stuttgart.de/data/reman. The paper PDF can be found at https://www.aclweb.org/anthology/C18-1114/. Please cite

```
@inproceedings{kim-klinger-2018-feels,
    title = "Who Feels What and Why? Annotation of a Literature Corpus with Semantic Roles of Emotions",
    author = "Kim, Evgeny and Klinger, Roman",
    booktitle = "Proceedings of the 27th International Conference on Computational Linguistics",
    year = "2018",
    address = "Santa Fe, New Mexico, USA",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/C18-1114",
    pages = "1345--1359",
}
```



